Subject: Background Apps?
From: [email-masked] ("Sonic Junior")

23 Jul 1997 00:34:47 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "GNU Win 32" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

	Is there a way for any of my apps to "launch" into the background like
some Unix apps do? (Some apps will only launch if they aren't compiled with
__CYGWIN__)
	However, any app that launches into the background crashes.....

	I happen to remember when I was programming in Visual C++, and made an a
console app that would drop the DOS window (I.E. freeconsole() or
something). Could something similiar be applied here?

	SJ

P.S. I wanted to note that many apps call a header with the name <sys/un.h>
or something. It only contains the following definition:

/*
 * Definitions for UNIX IPC domain.
 */
struct  sockaddr_un {
        short   sun_family;             /* AF_UNIX */
        char    sun_path[108];          /* path name (gag) */
};

	I had to make up one until I found that... so, I implore you, include a
sys/un.h with that in b19. Okay? ;)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".